/* Script before running Loading SCD second time */

/* Home Phone is changed for CustomerID 101 */
UPDATE [Campaign].[dbo].[Customer]
SET [Home Phone] = 020885711000
WHERE CustomerID = 101

/* CustomerID 102 has requested to change Email 
through sales channel which is not allowed*/
UPDATE [Campaign].[dbo].[Customer]
SET [Email] = 'peter.gormlay@AffordingIT.co.uk'
WHERE CustomerID = 102

/* CustomerID 103 Paul Jacobse has moved house */
UPDATE [Campaign].[dbo].[Customer]
SET [Address Line 1] = '15 Abercrombie Avenue',
	[Address Line 2] = 'Wooburn Green'
WHERE CustomerID = 103

/* CustomerID 111 is a late arriving dimension record */
/* Insert minimal Inferred member record into DimCustomer Table */
INSERT INTO [Campaign].[dbo].[DimCustomer] 
(CustomerID, IsInferred, StartDate)
VALUES (111, 1, getdate())

/* Insert additional info of CustomerID = 111 in Customer table */
INSERT INTO [Campaign].[dbo].[Customer] VALUES
(111,
'Mark',
'Morris',
'Flat 22, Crescent Flats',
'The Ridgeway',
'Sketty',
'Chertsey',
'West Midlands',
'PE7 3RQ',
'United Kingdom',
'mmark@AffordingIT.co.uk',
'',
'',
'079576516756')
